Subject: bugtraq-digest V2 #29
From: [email-masked] (bugtraq-digest)
To: [email-masked]

bugtraq-digest         Monday, August 16 1999         Volume 02 : Number 029

In this issue:

    eth1 at 100Mbps
    Re: Spurious results from /proc/therm
    Re: eth1 at 100Mbps
    Re: Spurious results from /proc/therm
    Re: Spurious results from /proc/therm
    Re: Spurious results from /proc/therm
    Re: Spurious results from /proc/therm
    E-mail?

See the end of this digest for information about bugtraq-digest.

----------------------------------------------------------------------

Date: 22 Jul 1999 15:11:33 GMT
From: [email-masked]
Subject: eth1 at 100Mbps

I read somewhere that there was an unresolved problem with eth1 at 100Mbps.

I believe it, because my recent rev NetWinder (DM12) locks up within a 
few seconds if I attempt to ftp data to it across a 100Mbps network.

I have loaded the tulip update patch, and my DM12 load is pretty stock
(I've added a few applications, but haven't changed the kernel or any 
of the modules).

eth1 seems to handle 10Mbps reliably, but I would really like to keep my 
home network at 100Mbps (I've got a lot of data sets floating around the 
house that are large... seems odd, but I need higher bandwidth at home 
than I do at work).

Have there been any updates/patches I'm not aware of?

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe bugtraq" as the body of your message.

------------------------------

Date: Thu, 22 Jul 1999 11:52:12 -0400
From: Ralph Siemsen <[email-masked]>
Subject: Re: Spurious results from /proc/therm

[email-masked] wrote:
> 
> When running xaudio (hey, gotta have music while writing code), I get
> spurious results from /proc/therm (samples below).  I have a couple
> of questions (running a pretty stock DM12 on a recent netwinder):

I noticed the same thing with xaudio when doing my fan testing.  It
means that there is a problem communicating with the ISA bus.  We've
been chasing some (possibly related) bugs on this front lately, so we
may have a fix before too long.  At this time though it's simply a
"known issue".

> 1) Will this affect fan operation?  At work the temperature reading
> from the NetWinder stays between 39 and 42C, but at home it can climb
> higher and I'd like to know if the fan will switch to high speed when
> it is supposed to.

Theoretically, it could affect it, but in practice, I've not seen more
than the odd reading being off, and only while running xaudio... so I
suspect that it isn't a big problem atm.  Might cause the fan to cycle
on and off more often than it should.
 
> 2) Do other time-critical applications also cause problems like this,
> or is something particular about xaudio (the fairly common MP3 player
> used on NetWinders)?

If anybody has noticed this, I'd like to hear about it.  So far I've
only seen it with xaudio, so it could be an interrupt issue as well
(xaudio doesn't use much cpu).
 
> 3) I picked up my NetWinder used, does anyone know what the default
> thermostat settings are?  I found a recommendation for a HI of 50 in
> the FAQ, but haven't seen any recommendations for a LO.  It's getting
> hot here in Kansas City, and I'd like to know what is supposed to be
> OK for thermostat, and more importantly, temperature...

Default settings are 48 low and 50 high.  Seem to be fine most of the
time, the system temp really shouldn't exceed 50 (though some people
report no problems running warmer).  Usually the first sign of
overheating is disk errors, then lockup.
 
- -- 
Ralph Siemsen -- [email-masked]

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe bugtraq" as the body of your message.

------------------------------

Date: Thu, 22 Jul 1999 12:07:40 -0400
From: "Andrew E. Mileski" <[email-masked]>
Subject: Re: eth1 at 100Mbps

[email-masked] wrote:
> 
> I read somewhere that there was an unresolved problem with eth1 at 100Mbps.
> 
> I believe it, because my recent rev NetWinder (DM12) locks up within a
> few seconds if I attempt to ftp data to it across a 100Mbps network.

I suggest you contact customer support.  I know of two hardware issues
that could be the cause of this.

- --
Andrew E. Mileski - Software Engineer
Rebel.com  http://www.rebel.com/

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe bugtraq" as the body of your message.

------------------------------

Date: 22 Jul 1999 16:20:52 GMT
From: [email-masked] ()
Subject: Re: Spurious results from /proc/therm

On Thu, 22 Jul 1999 11:52:12 -0400, Ralph Siemsen <[email-masked]> wrote:
>[email-masked] wrote:
> 
>> 3) I picked up my NetWinder used, does anyone know what the default
>> thermostat settings are?  I found a recommendation for a HI of 50 in
>> the FAQ, but haven't seen any recommendations for a LO.  It's getting
>> hot here in Kansas City, and I'd like to know what is supposed to be
>> OK for thermostat, and more importantly, temperature...
>
>Default settings are 48 low and 50 high.  Seem to be fine most of the
>time, the system temp really shouldn't exceed 50 (though some people
>report no problems running warmer).  Usually the first sign of
>overheating is disk errors, then lockup.

For some reason I get disk errors when it gets too hot, only they're not from 
the heat, they're from the fan running in high speed mode.  I've tested this
by switching the fan to hi speed using fan_ctrl and within 30 secs of switching
my hard drive starts giving me errors, if I switch it back to low, it works
fine again.  The point is that I set my high temp to 60 and I haven't had any
problems related to that since.

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe bugtraq" as the body of your message.

------------------------------

Date: Thu, 22 Jul 1999 12:17:58 -0500
From: "Brian Dozier" <[email-masked]>
Subject: Re: Spurious results from /proc/therm

Thanks for all the information!  I'm not going to worry about it for now,
since xaudio doesn't run when I'm not around, and I habitually monitor the
temperature when I am around (at least when the ambient temperature is
getting up there).

Gotta love those NetWinders... In order to save on air conditioning bills,
anytime the temperature is over 90F outside (about two months of the year
here), I shut down the big P-II machines when they aren't in use, but I just
let the NetWinder run and do all my work on it.  It doesn't put out enough
heat to worry about...

Ralph Siemsen <[email-masked]> wrote in message
news:[email-masked]...
> [email-masked] wrote:
> >
> > When running xaudio (hey, gotta have music while writing code), I get
> > spurious results from /proc/therm (samples below).  I have a couple
> > of questions (running a pretty stock DM12 on a recent netwinder):
>
> I noticed the same thing with xaudio when doing my fan testing.  It
> means that there is a problem communicating with the ISA bus.  We've
> been chasing some (possibly related) bugs on this front lately, so we
> may have a fix before too long.  At this time though it's simply a
> "known issue".
[lots of good information deleted for brevity]
> Ralph Siemsen -- [email-masked]

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe bugtraq" as the body of your message.

------------------------------

Date: Thu, 22 Jul 1999 13:48:54 -0400
From: Ralph Siemsen <[email-masked]>
Subject: Re: Spurious results from /proc/therm

[email-masked] wrote:

> For some reason I get disk errors when it gets too hot, only they're not from
> the heat, they're from the fan running in high speed mode.  I've tested this
> by switching the fan to hi speed using fan_ctrl and within 30 secs of switching
> my hard drive starts giving me errors, if I switch it back to low, it works
> fine again.  The point is that I set my high temp to 60 and I haven't had any
> problems related to that since.

Another "known issue". ;)  It's a resonance problem, certain
fan/harddisk combinations manage to hit just the right frequency that
vibrates the drive at resonance, causing the heads to have trouble
seeking on the disk.   The solution to this is shock-mounts for the hard
disk, which I believe they are doing on the new units.  Of course this
doesn't help those with older machines.  You can effectively fix the
problem by putting a small wieght (like some sticky tape) on one of the
fan blades, to change the frequency ever so slighty.  Or put some rubber
washers under the hard drive.

- -- 
Ralph Siemsen -- [email-masked]

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe bugtraq" as the body of your message.

------------------------------

Date: 22 Jul 1999 17:59:44 GMT
From: [email-masked] ()
Subject: Re: Spurious results from /proc/therm

On Thu, 22 Jul 1999 13:48:54 -0400, Ralph Siemsen <[email-masked]> wrote:
>[email-masked] wrote:
>
>> For some reason I get disk errors when it gets too hot, only they're not from
>> the heat, they're from the fan running in high speed mode.  I've tested this
>> by switching the fan to hi speed using fan_ctrl and within 30 secs of switching
>> my hard drive starts giving me errors, if I switch it back to low, it works
>> fine again.  The point is that I set my high temp to 60 and I haven't had any
>> problems related to that since.
>
>Another "known issue". ;)  It's a resonance problem, certain
>fan/harddisk combinations manage to hit just the right frequency that
>vibrates the drive at resonance, causing the heads to have trouble
>seeking on the disk.   The solution to this is shock-mounts for the hard
>disk, which I believe they are doing on the new units.  Of course this
>doesn't help those with older machines.  You can effectively fix the
>problem by putting a small wieght (like some sticky tape) on one of the
>fan blades, to change the frequency ever so slighty.  Or put some rubber
>washers under the hard drive.
>

That's what I figured, I have a desktop with a similar problem, only it's a 
zipdrive / cdrom spinup combination that causes the hard drive problems.  Not
a big deal.  I put the hard drive in myself (thanks again for the ide ribbon) 
so I expected a few glicthes.

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe bugtraq" as the body of your message.

------------------------------

Date: 16 Aug 1999 14:14:09 GMT
From: Rod Stewart <[email-masked]>
Subject: E-mail?

Seeing as this appears to be the only way to contact at present.  Could
someone from Rebel look into (I don't believe it is a problem on my end):

   ----- The following addresses had permanent fatal errors -----
<[email-masked]>

   ----- Transcript of session follows -----
... while talking to gate.rebel.com.:
<<< 421 gate.rebel.com Sorry, unable to contact destination SMTP daemon.
553 mail.rebel.com. config error: mail loops back to me (MX problem?)
554 <[email-masked]>... Local configuration error

Thank you,

- -- 
- -Rms
Rod m. Stewart		[email-masked]
	RADD Service

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe bugtraq" as the body of your message.

------------------------------

End of bugtraq-digest V2 #29
****************************

--
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe bugtraq-digest" as the body of your message.